import { d as defineEventHandler, u as useLogger, r as readValidatedBody, R as Resource, c as createError } from '../../nitro/nitro.mjs';
import z from 'zod';
import { r as requireAdminSession } from '../../_/session.mjs';
import 'luxon';
import '@sequelize/core';
import 'html-to-text';
import 'crypto';
import 'node:fs';
import 'sharp';
import 'path';
import 'node:stream';
import 'jsdom';
import 'dompurify';
import 'mime-types';
import 'fs';
import 'fs/promises';
import 'linkify-html';
import '@peertube/http-signature';
import 'jsonld';
import 'lodash.intersection';
import 'email-templates';
import 'node:http';
import 'node:https';
import 'node:crypto';
import 'node:events';
import 'node:buffer';
import 'node:path';
import 'vue';
import 'vue-router';
import 'dotenv';
import 'url';
import 'bcryptjs';
import 'slugify';
import 'umzug';
import 'consola';
import '@sequelize/core/decorators-legacy';
import 'util';
import 'mitt';
import 'ical.js';
import 'node:url';
import 'fast-xml-parser';
import '../../_/getUser.mjs';
import '../../_/jwt.mjs';
import 'jose';

const schema = z.object({
  id: z.string(),
  hidden: z.coerce.boolean()
});
const index_put = defineEventHandler(async (evt) => {
  await requireAdminSession(evt);
  const log = useLogger("/api/resources");
  const body = await readValidatedBody(evt, schema.parse);
  const resource = await Resource.findByPk(body.id);
  if (!resource) {
    log.warn(`Resource not found: ${body.id}`);
    throw createError({ statusCode: 404 });
  }
  resource.update({ hidden: Boolean(body.hidden) });
});

export { index_put as default };
